org.apache.cassandra.metrics

## Class ClearableHistogram

- java.lang.Object
- - com.codahale.metrics.Histogram
  - - org.apache.cassandra.metrics.ClearableHistogram

- All Implemented Interfaces:
    com.codahale.metrics.Counting, com.codahale.metrics.Metric, com.codahale.metrics.Sampling

      public class ClearableHistogram
      extends com.codahale.metrics.Histogram

  Adds ability to reset a histogram

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClearableHistogram(DecayingEstimatedHistogramReservoir reservoir)` Creates a new `Histogram` with the given reservoir.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`

    - ### Methods inherited from class com.codahale.metrics.Histogram

      `getCount, getSnapshot, update, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClearableHistogram

          public ClearableHistogram(DecayingEstimatedHistogramReservoir reservoir)

      Creates a new `Histogram` with the given reservoir.
      Parameters:
        `reservoir` - the reservoir to create a histogram from

  - ### Method Detail

    - #### clear

          public void clear()

Copyright © 2018 The Apache Software Foundation